Coldfusion 7 on Apache 2.2 Windows

I have a new laptop, thats another story and I this means a reinstall of all my development environment for coldfusion mx 7 (cf7), cfeclipse, sql server etc. Adobe have just released the mystic updater used with the Flex 2 stuff (which BTW is frickin awesome!) taking ColdFusion up to version 7.0.2. I want also […]
July 4, 2006 7:08 pm

I have a new laptop, thats another story and I this means a reinstall of all my development environment for coldfusion mx 7 (cf7), cfeclipse, sql server etc. Adobe have just released the mystic updater used with the Flex 2 stuff (which BTW is frickin awesome!) taking ColdFusion up to version 7.0.2. I want also to use apache 2.2 on my machine because we have a number of projects and IIS just dont cut it on Windows XP as it only allows one website. So – I have gone for apache 2.2 and Coldfusion 7.0.2 and then I got this error:

This is because the Apache 2.2 isnt supported by this version of CF on windows yet. It would appear that a Linux version has been released see this technote from Adobe that tells us they have done it and Windows was not tested. Anyway – download the wsconfig.jar update on that page. Stop CF and Apache. Backup your old C:\\CFusionMX7\\runtime\\lib\\wsconfig.jar and overwrite it with the downloaded version. Start CF and Apache again, Open the Web Server Configuration tool, and recreate your web connectors. Restart apache et voila! This has now been running fine on my machine. I will update if I find any problems.

Leave a Comment

Login
Log in below to access your courses.
Log In With Google
Forgot Password
Enter your email address or username and we’ll send you instructions to reset your password.